com.pixelmed.dicom

## Class CrossSectionalImageLibrary

- java.lang.Object
- - com.pixelmed.dicom.ImageLibrary
  - - com.pixelmed.dicom.CrossSectionalImageLibrary

    public class CrossSectionalImageLibrary
    extends ImageLibrary

### Nested Class Summary

Nested Classes
`static class` `CrossSectionalImageLibrary.CrossSectionalImageLibraryEntry`

### Nested classes/interfaces inherited from class com.pixelmed.dicom.ImageLibrary

`ImageLibrary.ImageLibraryEntry`

### Field Summary

### Fields inherited from class com.pixelmed.dicom.ImageLibrary

`compositeInstanceContext, entriesIndexedBySOPInstanceUID`

### Constructor Summary

Constructors
Constructor and Description
`CrossSectionalImageLibrary()`
`CrossSectionalImageLibrary(AttributeList list)`
`CrossSectionalImageLibrary(ContentItem imageLibraryContainer, AttributeList list)`
`CrossSectionalImageLibrary(java.util.Set<java.io.File> files)`

### Method Summary

Methods
`double[]` `getColumnArray(java.lang.String sopInstanceUID)`
`java.lang.String` `getFrameOfReferenceUID(java.lang.String sopInstanceUID)`
`double[]` `getRowArray(java.lang.String sopInstanceUID)`
`double` `getSliceThickness(java.lang.String sopInstanceUID)`
`double[]` `getTLHCArray(java.lang.String sopInstanceUID)`
`double[]` `getVoxelSpacingArray(java.lang.String sopInstanceUID)`
`static void` `main(java.lang.String[] arg)` Create an SR Image Library from a bunch of cross-sectional DICOM instances.
`ImageLibrary.ImageLibraryEntry` `makeImageLibraryEntry(AttributeList list)`
`ImageLibrary.ImageLibraryEntry` `makeImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem, java.util.Map<java.lang.String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)`
`static double` `parseDoubleElseZero(java.lang.String s)`
`static CrossSectionalImageLibrary` `read(java.lang.String filename)`

### Methods inherited from class com.pixelmed.dicom.ImageLibrary

`addImage, constructImageLibrary, findImageLibraryContainer, getAttributeList, getCommonInstanceReferenceModuleReferencedSeriesSequence, getHierarchicalEvidenceSequence, getHierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID, getStructuredReport, getStructuredReportFragment, toString, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CrossSectionalImageLibrary

    public CrossSectionalImageLibrary()

#### CrossSectionalImageLibrary

    public CrossSectionalImageLibrary(AttributeList list)
                               throws DicomException

Throws:
  `DicomException`

#### CrossSectionalImageLibrary

    public CrossSectionalImageLibrary(ContentItem imageLibraryContainer,
                              AttributeList list)

#### CrossSectionalImageLibrary

    public CrossSectionalImageLibrary(java.util.Set<java.io.File> files)
                               throws java.io.IOException,
                                      DicomException

Throws:
  `java.io.IOException`
  `DicomException`

### Method Detail

#### makeImageLibraryEntry

    public ImageLibrary.ImageLibraryEntry makeImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem,
                                                       java.util.Map<java.lang.String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)

Overrides:
  `makeImageLibraryEntry` in class `ImageLibrary`

#### makeImageLibraryEntry

    public ImageLibrary.ImageLibraryEntry makeImageLibraryEntry(AttributeList list)
                                                         throws DicomException

Overrides:
  `makeImageLibraryEntry` in class `ImageLibrary`
Throws:
  `DicomException`

#### getFrameOfReferenceUID

    public java.lang.String getFrameOfReferenceUID(java.lang.String sopInstanceUID)

#### getVoxelSpacingArray

    public double[] getVoxelSpacingArray(java.lang.String sopInstanceUID)

#### getTLHCArray

    public double[] getTLHCArray(java.lang.String sopInstanceUID)

#### getRowArray

    public double[] getRowArray(java.lang.String sopInstanceUID)

#### getColumnArray

    public double[] getColumnArray(java.lang.String sopInstanceUID)

#### getSliceThickness

    public double getSliceThickness(java.lang.String sopInstanceUID)

#### parseDoubleElseZero

    public static final double parseDoubleElseZero(java.lang.String s)

#### read

    public static CrossSectionalImageLibrary read(java.lang.String filename)
                                           throws DicomException,
                                                  java.io.IOException

Throws:
  `DicomException`
  `java.io.IOException`

#### main

    public static void main(java.lang.String[] arg)

Create an SR Image Library from a bunch of cross-sectional DICOM instances.

Adds a new series (instance UID) to the existing study (instance UID).

Parameters:
  `arg` - the path for the SR Image Library output, then the filenames and/or folder names of files containing the input image files